- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalCharStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalCharStyle ()
| VSDOptionalCharStyle (unsigned cc, const boost::optional< VSDName > &ft, const boost::optional< Colour > &c, const boost::optional< double > &s, const boost::optional< bool > &b, const boost::optional< bool > &i, const boost::optional< bool > &u, const boost::optional< bool > &du, const boost::optional< bool > &so, const boost::optional< bool > &dso, const boost::optional< bool > &ac, const boost::optional< bool > &ic, const boost::optional< bool > &sc, const boost::optional< bool > &super, const boost::optional< bool > &sub)
| VSDOptionalCharStyle (const VSDOptionalCharStyle &style)
| ~VSDOptionalCharStyle ()
void | override (const VSDOptionalCharStyle &style)

## Public Attributes
unsigned | charCount
boost::optional< VSDName > | font
boost::optional< Colour > | colour
boost::optional< double > | size
boost::optional< bool > | bold
boost::optional< bool > | italic
boost::optional< bool > | underline
boost::optional< bool > | doubleunderline
boost::optional< bool > | strikeout
boost::optional< bool > | doublestrikeout
boost::optional< bool > | allcaps
boost::optional< bool > | initcaps
boost::optional< bool > | smallcaps
boost::optional< bool > | superscript
boost::optional< bool > | subscript

## Constructor & Destructor Documentation

libvisio::VSDOptionalCharStyle::VSDOptionalCharStyle | ( |  | ) |
| inline

libvisio::VSDOptionalCharStyle::VSDOptionalCharStyle | ( | unsigned | cc,
|  | const boost::optional< VSDName > & | ft,
|  | const boost::optional< Colour > & | c,
|  | const boost::optional< double > & | s,
|  | const boost::optional< bool > & | b,
|  | const boost::optional< bool > & | i,
|  | const boost::optional< bool > & | u,
|  | const boost::optional< bool > & | du,
|  | const boost::optional< bool > & | so,
|  | const boost::optional< bool > & | dso,
|  | const boost::optional< bool > & | ac,
|  | const boost::optional< bool > & | ic,
|  | const boost::optional< bool > & | sc,
|  | const boost::optional< bool > & | super,
|  | const boost::optional< bool > & | sub
| ) |  |
| inline

libvisio::VSDOptionalCharStyle::VSDOptionalCharStyle | ( | const VSDOptionalCharStyle & | style | ) |
| inline

libvisio::VSDOptionalCharStyle::~VSDOptionalCharStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDOptionalCharStyle::override | ( | const VSDOptionalCharStyle & | style | ) |
| inline

Referenced by libvisio::VSDCharacterList::addCharIX(), and libvisio::VSDStyles::getOptionalCharStyle().

## Member Data Documentation

boost::optional<bool> libvisio::VSDOptionalCharStyle::allcaps

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::bold

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

unsigned libvisio::VSDOptionalCharStyle::charCount

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::getCharCount(), libvisio::VSDCharIX::handle(), and libvisio::VSDCharIX::setCharCount().

boost::optional<Colour> libvisio::VSDOptionalCharStyle::colour

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::doublestrikeout

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::doubleunderline

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<VSDName> libvisio::VSDOptionalCharStyle::font

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::initcaps

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::italic

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<double> libvisio::VSDOptionalCharStyle::size

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::smallcaps

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::strikeout

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::subscript

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::superscript

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

boost::optional<bool> libvisio::VSDOptionalCharStyle::underline

Referenced by libvisio::VSDCharacterList::addCharIX(), libvisio::VSDCharIX::handle(), and override().

The documentation for this struct was generated from the following file:

- VSDStyles.h